<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Chat</title>

    <link href="https://unpkg.com/tailwindcss@^1.0/dist/tailwind.min.css" rel="stylesheet">
</head>
<script>
    
    
    import { page } from '$app/stores';
    import { supabase }  from '$lib/supabaseClient'
    import { readable, get } from 'svelte/store'
    import Post from '$lib/post.svelte';
   

    
    /**
	 * @param {{ target: HTMLFormElement | undefined; }} e
	 */
    async function addPost (e){
        const formData = new FormData(e.target)
        e.target.reset()
        const {data,error} = await supabase
            .from('posts')
            .insert({
                title: formData.get('title')
                // content: formData.get('content')
            })
    }

    // const posts = readable(null, (set) =>{
    //     supabase
    //         .from('posts')
    //         .select('*')
    //         .then(({error, data}) => set(data))

    /**
	 * @param {any} [id]
	 */

    

    // const posts = readable(null, (set) =>{
        
    //     supabase
    //         .from('posts')
    //         .select('*')
    //         .filter('id','eq', 61)
    //         .then(({error, data}) => set(data))
        
    //     // add subscription to supabase logic

    //     const subscription = 
    //     supabase
    //         .channel('posts')
    //         .on('postgres_changes',{ event: 'INSERT', schema: '*' }, payload => {
    //             set([...get(posts), payload.new])
    //         })
            
            
    //         // .subscribe()

    //     // return () => supabase.removeChannel(subscription)
         
    // })

    // let tim =55;
    

  
    const posts = readable(null, (set) =>{
        
        supabase
            .from('posts')
            .select('*')
            // .filter('id','eq',id)
            .order('title', { ascending: true})
            .then(({error, data}) => set(data)
            )
        
        // add subscription to supabase logic

        const subscription = 
        supabase
            .channel('posts')
            .on('postgres_changes',{ event: 'INSERT', schema: '*' }, payload => {
                set([...get(posts), payload.new])
            })
            .subscribe()
            
            return () => supabase.removeChannel(subscription)
    })



    // async function pilih(id) {

    //     const flter = readable(null, (set) =>{
    //     supabase
    //         .from('posts')
    //         .select('*')
    //         .filter('post','eq', id)
    //         .then(({error, data}) => set(data))

    // })}
    
</script>



<div class=" bg-gray-200 w-full h-full">  
    <h1 class=" py-10 mx-48 text-3xl text-gray-700 mb-2">&nbsp &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp;&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp
         Channels</h1>
    <div class="ml-20">
    <div class="mx-24 hidden lg:block heading flex-2">
        
    </div>
    </div>
    <br>

    <form on:submit|preventDefault={addPost}>
        
        <input type="text" placeholder="new channel" name="title" class="w-900 my-2 ml-10 mx-10 p-4 text-gray-900 border border-gray-300 rounded-lg bg-gray-50 sm:text-xl focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
        <button class=" bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-2 rounded"> Create channel  </button> 
        <br><br>
    </form>
</div>
    <div class="flex-1 bg-gray-200 w-full h-full">  
    {#if $posts}
    {#each $posts as post }
    
    <div class="sidebar hidden lg:flex w-full flex-2 flex-col pr-6">
        
        <div class="flex-1 h-full overflow-auto px-10">
            <a href="/chat/{post.id}">
                <div class="entry cursor-pointer transform hover:scale-105 duration-300 transition-transform bg-white mb-4 rounded p-4 flex shadow-md">
                <div class="flex-2">
                    <div class="w-12 h-12 relative">
                        <img class="w-12 h-12 rounded-full mx-auto" src="https://i.pinimg.com/474x/c2/fb/8d/c2fb8d161ce5550ea4d71ff17b071441.jpg" alt="chat-user" />
                        <!-- <span class="absolute w-4 h-4 bg-gray-400 rounded-full right-0 bottom-0 border-2 border-white"></span> -->
                    </div>
                </div>
                <div class="flex-1 px-2 py-3">
                    <div class="truncate w-full"><span class="text-gray-800">
                        {post.title} 
                    </span></div>
                    
                </div>
                <div class="flex-2 py-2 text-right">
                    <div>
                        <small class="text-gray-500">created at</small>
                        <small class="text-gray-500">{post.created_at[8]}{post.created_at[9]}-{post.created_at[5]}{post.created_at[6]}-{post.created_at[2]}{post.created_at[3]}</small></div>
                    <div>
                       
                    </div>
                    </div>
                 </div>
            </a>
        </div>
            <div>
        </div>
    </div>
    {/each} 
    {:else}
     Loading..
    {/if}   
</div>
    